/* program:  sds2fits.c
 * function: Convert hdf file to fits file
 *
 *
 *
 */

#include <stdio.h> 
#include <string.h>


/* Package include files */
#include "fits2sds.h"
#include "extern.h"
#include "cfitsio.h"
#include "error.h"      /* Error codes */
#include "reformat.h"   /* Package-wide contants */

/* HDF include files */
#include "hdf.h"
#include "herr.h"

ErrorCode Hdf2Fits(name,info)
char     *name;
FileInfo *info;

{
    /* FITS related variables */
    int fits_status, fits_iounit;
    int rwstat;
    int numKeys, numSpace,hdutype;
    char errtxt[FITS_CLEN_ERRMSG];
    /* HDF related variables */
    int sds_status;
    int sd_id;
    int sds_id;
    int dim_id;

    char fitsFileName[50], sdsFileName[50];
    
    /* get fits file name & sds file name from command  line */
    strcpy(sdsFileName, name);
    strcpy(fitsFileName, info->name);

    sds_status = SUCCEED;
    fits_status= 0;

    /* if file is exist delete it */
    deleteFile(fitsFileName);

    /* open FITS file  */
    rwstat = FITSREADWRITE;
    fits_iounit = createFits(fitsFileName, rwstat);
    
    /* open SDS file */
    sd_id = SDstart(sdsFileName, DFACC_RDONLY);
    if (sd_id == FAIL) 
	return(err_msg(WriteFITSFile, InputOpenFailed));
    
    /* convert sds file to fits file  */
    sds2phdu(sd_id, fits_iounit);

    /* closing sds file */
    SDend(sd_id);
    /* close the fits file & free the unit number */
    FCCLOS(fits_iounit, &fits_status);
    FCFIOU(fits_iounit, &fits_status);

    return(AllOk);

}





